function [] = applyStatusToSelectedPoints(pStatusCode)
%APPLYSTATUSTOSELECTEDPOINTS Applies the given status code to the workspace variables.
%   Applies the given status to the workspace variable.
%   If pUpdateGui is set to false, the polygon variables are not being
%   cleaned up.
%
%   Parameters:
%       pStatusCode (int)    The status code that will be applied to the
%                            selected data.
%

global artoaWorkspace artoaGui;


%% Check if selection exists

if ~artoa.controller.edit.dataPointsSelected(artoaWorkspace.editTimeOfArrival)
    warndlg('You need to select data by using the "Pick" button first!', 'No data selected');
    return;
end


%% Set status
artoaWorkspace.toaData.status(artoaWorkspace.editTimeOfArrival.selectedPoints) = pStatusCode;

%% Update gui
artoa.controller.edit.updateAvailablePlots();

[artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival] = ...
    artoa.controller.edit.clearSelection(artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival);
end

