function [guiHandle, workspaceStruct] = clearSelection(pGuiHandle, pWorkspaceStruct)
%CLEARSELECTION If the fields in the given parameters are available, they will be deleted.
%   

guiHandle = pGuiHandle;
workspaceStruct = pWorkspaceStruct;

%% Remove polygon from gui
if isfield(guiHandle, 'selectedPolygon')
    delete(guiHandle.selectedPolygon);
    guiHandle = rmfield(guiHandle, 'selectedPolygon');
end

%% Remove the polygon field from workspace
if (isfield(workspaceStruct, 'selectedPoints'))
    workspaceStruct = rmfield(workspaceStruct, 'selectedPoints');
end

end

